> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meshconnect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Main Client callback urls

> Get information about Main Client Allowed Link URLs.



## OpenAPI

````yaml https://admin-api.meshconnect.com/swagger/AdminAPI/swagger.json get /admin/api/v1/Client/callbackUrls
openapi: 3.0.1
info:
  title: Admin API
  version: v1
servers:
  - url: https://admin-api.meshconnect.com
security:
  - Bearer: []
paths:
  /admin/api/v1/Client/callbackUrls:
    get:
      tags:
        - Main Clients
      summary: Get Main Client callback urls
      description: Get information about Main Client Allowed Link URLs.
      responses:
        '200':
          description: Get Main Client callback urls
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/B2BPortalClientCallbackUrlsResponseApiResult
              example:
                content:
                  callbackUrls:
                    - https://mainclient-website1.com
                    - https://mainclient-website2.com
                status: ok
                message: ''
                errorHash: dce0f573
                teamCode: P4
                errorType: ''
        '401':
          description: 'Unauthorized: Auth token request is not valid'
          content:
            application/json:
              schema: {}
              example:
                statusCode: 401
        '403':
          description: 'Permission denied: Request is not allowed'
          content:
            application/json:
              schema: {}
              example:
                status: permissionDenied
                message: Error message
                displayMessage: Optional display message
                errorHash: cd59bd31
                teamCode: P4
                errorType: missingField
components:
  schemas:
    B2BPortalClientCallbackUrlsResponseApiResult:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResultStatus'
        message:
          type: string
          description: A message generated by the API
          nullable: true
        displayMessage:
          type: string
          description: User-friendly display message that can be presented to the end user
          nullable: true
        errorHash:
          type: string
          description: >-
            An error grouping hash from string components and caller
            information. Used by bugsnag on FE for correct error grouping
          nullable: true
          readOnly: true
        teamCode:
          type: string
          description: "Opaque team code for error routing. Resolved from exception origin or caller file path via CODEOWNERS.\r\nFormat: 2-character code (e.g., \"7K\", \"M2\"). Use for alerting/routing, not display."
          nullable: true
          readOnly: true
        errorType:
          type: string
          description: "Strictly-typed error type that is explaining the reason of an unsuccessful status of the operation.\r\nAll possible error types are available in the documentation."
          nullable: true
        errorData:
          nullable: true
          readOnly: true
        content:
          $ref: '#/components/schemas/B2BPortalClientCallbackUrlsResponse'
      additionalProperties: false
    ApiResultStatus:
      enum:
        - ok
        - serverFailure
        - permissionDenied
        - badRequest
        - notFound
        - conflict
        - tooManyRequest
        - locked
        - unavailableForLegalReasons
      type: string
    B2BPortalClientCallbackUrlsResponse:
      type: object
      properties:
        callbackUrls:
          type: array
          items:
            type: string
          description: Client Allowed Link URLs.
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Authorization header using the Bearer scheme. Example: "Authorization:
        Bearer {Value}"
      scheme: bearer

````